<template>
    <RouterLink :to="{ name: setPage, params: { id: set._id } }" class="img-container w-[20.375rem] h-[20.375rem]">

        <img class="cursor-pointer" :src="`https://client.st.com.tm/uploads/sets/resize/` + set.coverImageName[0]" alt="">
    </RouterLink>
</template>

<script>
import { RouterLink } from 'vue-router';

export default {
    props: {
        set: {
            type: Array,
            required: true
        },
        setPage: {
            type: String,
            required: true
        }
    },
    data() {
        return {};
    },
    methods: {},
    components: { RouterLink }
}
</script>

<style scoped>
.img-container {
    transition: all 0.7s;
}

.img-container:hover {
    -webkit-box-shadow: 17px 22px 40px -4px rgba(0, 0, 0, 0.66);
    -moz-box-shadow: 17px 22px 40px -4px rgba(0, 0, 0, 0.66);
    box-shadow: 17px 22px 40px -4px rgba(0, 0, 0, 0.66);
}
</style>
